## Function `formatDecimalLocal( value, dp )`

Description:
  Turns a floating point value into a string using current locale settings. For instance if language is set to French, decimal points will be represented as a comma "," instead of a full stop ".". Otherwise behaves the same as the corresponding `formatDecimal` function.

Parameters:
  `value` (floating point)
    value to format
  `dp` (integer)
    number of decimal places (digits after the decmal point)

Return Value (String):
  formatted string

Examples:
  - `formatDecimal(PI,0) = "3,"`
  - `formatDecimal(0,10) = ",0000000000"`
  - `formatDecimal(E*10,3) = "27,183"`

Signature:
  `String formatDecimalLocal(double, int)`